| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Macros
config.hpp File Reference
`#include <boost/config.hpp>`
`#include <boost/version.hpp>`

Go to the source code of this file.

## Macros
#define | UHD_EXPORT
#define | UHD_IMPORT
#define | UHD_EXPORT_HEADER
#define | UHD_IMPORT_HEADER
#define | UHD_INLINE inline
#define | UHD_FORCE_INLINE inline
#define | UHD_DEPRECATED
#define | UHD_ALIGNED(x)
#define | UHD_UNUSED(x)
#define | UHD_FALLTHROUGH
#define | UHD_FUNCTION __func__
#define | UHD_PRETTY_FUNCTION __func__
#define | UHD_API UHD_IMPORT
#define | UHD_API_HEADER UHD_IMPORT_HEADER
#define | XSTR(x...)
#define | STR(x)

## Macro Definition Documentation

## ◆ STR

#define STR | ( |  | x | ) |

Value:
XSTR(x)
XSTR
#define XSTR(x...)
Definition config.hpp:174

## ◆ UHD_ALIGNED

#define UHD_ALIGNED | ( |  | x | ) |

## ◆ UHD_API

#define UHD_API UHD_IMPORT

## ◆ UHD_API_HEADER

#define UHD_API_HEADER UHD_IMPORT_HEADER

## ◆ UHD_DEPRECATED

#define UHD_DEPRECATED

## ◆ UHD_EXPORT

#define UHD_EXPORT

## ◆ UHD_EXPORT_HEADER

#define UHD_EXPORT_HEADER

## ◆ UHD_FALLTHROUGH

#define UHD_FALLTHROUGH

## ◆ UHD_FORCE_INLINE

#define UHD_FORCE_INLINE inline

## ◆ UHD_FUNCTION

#define UHD_FUNCTION __func__

## ◆ UHD_IMPORT

#define UHD_IMPORT

## ◆ UHD_IMPORT_HEADER

#define UHD_IMPORT_HEADER

## ◆ UHD_INLINE

#define UHD_INLINE inline

## ◆ UHD_PRETTY_FUNCTION

#define UHD_PRETTY_FUNCTION __func__

## ◆ UHD_UNUSED

#define UHD_UNUSED | ( |  | x | ) |

Value:
x

## ◆ XSTR

#define XSTR | ( |  | x... | ) |

Value:
# x